#include <stdio.h>
#include <math.h>

void hexdump(const void *p, size_t n)
{
	const unsigned char *a = p;
	size_t i;

	for (i=0; i<n; ++i) {
		printf("%02x%c",
			a[i],
			i % 16 == 15 || i+1 == n ? '\n' : ' ');
	}
}

int main()
{
	double a = -0.1;
	long double b = 1.670963747956456;
	long double x;
	long double y;

	x = acos(a);

	hexdump(&b, sizeof(b));
	printf("%Lg\n", b);
	printf("%.14La\n", b);

	hexdump(&x, sizeof(x));
	printf("%Lg\n", x);
	printf("%.14La\n", x);

	y = fabsl((x-b)/b);

	hexdump(&y, sizeof(y));
	printf("%Lg\n", y);
	printf("%.14La\n", y);
}
